/*
 * Created on 13/ott/2011
 * Copyright 2011 by Andrea Vacondio (andrea.vacondio@gmail.com).
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 */
package org.sejda.core.context;

import java.io.InputStream;

import org.sejda.core.exception.ConfigurationException;

/**
 * Component providing an input stream where the configuration will be read from.
 * 
 * @author Andrea Vacondio
 * 
 */
interface ConfigurationStreamProvider {

    /**
     * @return InputStream where the configuration can be read from.
     * @throws ConfigurationException
     */
    InputStream getConfigurationStream() throws ConfigurationException;
}
